Sets the image resolution

- « Imagick::setRegistry

- Imagick::setResourceLimit »

- PHP Manual
- Imagick
- Sets the image resolution

# Imagick::setResolution

(PECL imagick 2, PECL imagick 3)

Imagick::setResolution — Sets the image resolution

### Description

public Imagick::setResolution(float `$x_resolution`, float `$y_resolution`): bool

Sets the image resolution.

### Parameters

`x_resolution`

  The horizontal resolution.

`y_resolution`

  The vertical resolution.

### Return Values

Returns `true` on success.

### Notes

Imagick::setResolution() must be called before loading or creating an image.

### See Also

- Imagick::setImageResolution() - Sets the image resolution
- Imagick::getImageResolution() - Gets the image X and Y resolution